<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('disc_cond_masts', function (Blueprint $table) {
            $table->bigIncrements('DiscCMast')->comment('Primary Key');
            $table->string('DiscCondDesc', 255)->comment('Discount Condition Description');
            $table->string('DiscC_Value', 25)->comment('Discount Condition Value');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('disc_cond_masts');
    }
};
